<?php
$tdataspecial_discount = array();
$tdataspecial_discount[".searchableFields"] = array();
$tdataspecial_discount[".ShortName"] = "special_discount";
$tdataspecial_discount[".OwnerID"] = "";
$tdataspecial_discount[".OriginalTable"] = "special_discount";


$tdataspecial_discount[".pagesByType"] = my_json_decode( "{\"add\":[\"add\"],\"edit\":[\"edit\"],\"export\":[\"export\"],\"import\":[\"import\"],\"list\":[\"list\"],\"print\":[\"print\"],\"search\":[\"search\"],\"view\":[\"view\"]}" );
$tdataspecial_discount[".originalPagesByType"] = $tdataspecial_discount[".pagesByType"];
$tdataspecial_discount[".pages"] = types2pages( my_json_decode( "{\"add\":[\"add\"],\"edit\":[\"edit\"],\"export\":[\"export\"],\"import\":[\"import\"],\"list\":[\"list\"],\"print\":[\"print\"],\"search\":[\"search\"],\"view\":[\"view\"]}" ) );
$tdataspecial_discount[".originalPages"] = $tdataspecial_discount[".pages"];
$tdataspecial_discount[".defaultPages"] = my_json_decode( "{\"add\":\"add\",\"edit\":\"edit\",\"export\":\"export\",\"import\":\"import\",\"list\":\"list\",\"print\":\"print\",\"search\":\"search\",\"view\":\"view\"}" );
$tdataspecial_discount[".originalDefaultPages"] = $tdataspecial_discount[".defaultPages"];

//	field labels
$fieldLabelsspecial_discount = array();
$fieldToolTipsspecial_discount = array();
$pageTitlesspecial_discount = array();
$placeHoldersspecial_discount = array();

if(mlang_getcurrentlang()=="English")
{
	$fieldLabelsspecial_discount["English"] = array();
	$fieldToolTipsspecial_discount["English"] = array();
	$placeHoldersspecial_discount["English"] = array();
	$pageTitlesspecial_discount["English"] = array();
	$fieldLabelsspecial_discount["English"]["id"] = "Id";
	$fieldToolTipsspecial_discount["English"]["id"] = "";
	$placeHoldersspecial_discount["English"]["id"] = "";
	$fieldLabelsspecial_discount["English"]["bar_code"] = "Bar Code";
	$fieldToolTipsspecial_discount["English"]["bar_code"] = "";
	$placeHoldersspecial_discount["English"]["bar_code"] = "";
	$fieldLabelsspecial_discount["English"]["discount"] = "Discount";
	$fieldToolTipsspecial_discount["English"]["discount"] = "";
	$placeHoldersspecial_discount["English"]["discount"] = "";
	$fieldLabelsspecial_discount["English"]["discount_type"] = "Discount Type";
	$fieldToolTipsspecial_discount["English"]["discount_type"] = "";
	$placeHoldersspecial_discount["English"]["discount_type"] = "";
	$fieldLabelsspecial_discount["English"]["start_date"] = "Start Date";
	$fieldToolTipsspecial_discount["English"]["start_date"] = "";
	$placeHoldersspecial_discount["English"]["start_date"] = "";
	$fieldLabelsspecial_discount["English"]["end_date"] = "End Date";
	$fieldToolTipsspecial_discount["English"]["end_date"] = "";
	$placeHoldersspecial_discount["English"]["end_date"] = "";
	$fieldLabelsspecial_discount["English"]["outlet_code"] = "Outlet Code";
	$fieldToolTipsspecial_discount["English"]["outlet_code"] = "";
	$placeHoldersspecial_discount["English"]["outlet_code"] = "";
	if (count($fieldToolTipsspecial_discount["English"]))
		$tdataspecial_discount[".isUseToolTips"] = true;
}


	$tdataspecial_discount[".NCSearch"] = true;



$tdataspecial_discount[".shortTableName"] = "special_discount";
$tdataspecial_discount[".nSecOptions"] = 0;

$tdataspecial_discount[".mainTableOwnerID"] = "";
$tdataspecial_discount[".entityType"] = 0;
$tdataspecial_discount[".connId"] = "test2_at_localhost";


$tdataspecial_discount[".strOriginalTableName"] = "special_discount";

	



$tdataspecial_discount[".showAddInPopup"] = false;

$tdataspecial_discount[".showEditInPopup"] = false;

$tdataspecial_discount[".showViewInPopup"] = false;

//page's base css files names
$popupPagesLayoutNames = array();
$tdataspecial_discount[".popupPagesLayoutNames"] = $popupPagesLayoutNames;


$tdataspecial_discount[".listAjax"] = false;
//	temporary
$tdataspecial_discount[".listAjax"] = false;

	$tdataspecial_discount[".audit"] = true;

	$tdataspecial_discount[".locking"] = false;


$pages = $tdataspecial_discount[".defaultPages"];

if( $pages[PAGE_EDIT] ) {
	$tdataspecial_discount[".edit"] = true;
	$tdataspecial_discount[".afterEditAction"] = 1;
	$tdataspecial_discount[".closePopupAfterEdit"] = 1;
	$tdataspecial_discount[".afterEditActionDetTable"] = "";
}

if( $pages[PAGE_ADD] ) {
$tdataspecial_discount[".add"] = true;
$tdataspecial_discount[".afterAddAction"] = 1;
$tdataspecial_discount[".closePopupAfterAdd"] = 1;
$tdataspecial_discount[".afterAddActionDetTable"] = "";
}

if( $pages[PAGE_LIST] ) {
	$tdataspecial_discount[".list"] = true;
}



$tdataspecial_discount[".strSortControlSettingsJSON"] = "";




if( $pages[PAGE_VIEW] ) {
$tdataspecial_discount[".view"] = true;
}

if( $pages[PAGE_IMPORT] ) {
$tdataspecial_discount[".import"] = true;
}

if( $pages[PAGE_EXPORT] ) {
$tdataspecial_discount[".exportTo"] = true;
}

if( $pages[PAGE_PRINT] ) {
$tdataspecial_discount[".printFriendly"] = true;
}



$tdataspecial_discount[".showSimpleSearchOptions"] = true; // temp fix #13449

// Allow Show/Hide Fields in GRID
$tdataspecial_discount[".allowShowHideFields"] = true; // temp fix #13449
//

// Allow Fields Reordering in GRID
$tdataspecial_discount[".allowFieldsReordering"] = true; // temp fix #13449
//

$tdataspecial_discount[".isUseAjaxSuggest"] = true;

$tdataspecial_discount[".rowHighlite"] = true;



																																																			

$tdataspecial_discount[".ajaxCodeSnippetAdded"] = false;

$tdataspecial_discount[".buttonsAdded"] = false;

$tdataspecial_discount[".addPageEvents"] = false;

// use timepicker for search panel
$tdataspecial_discount[".isUseTimeForSearch"] = false;


$tdataspecial_discount[".badgeColor"] = "CFAE83";


$tdataspecial_discount[".allSearchFields"] = array();
$tdataspecial_discount[".filterFields"] = array();
$tdataspecial_discount[".requiredSearchFields"] = array();

$tdataspecial_discount[".googleLikeFields"] = array();
$tdataspecial_discount[".googleLikeFields"][] = "id";
$tdataspecial_discount[".googleLikeFields"][] = "bar_code";
$tdataspecial_discount[".googleLikeFields"][] = "discount";
$tdataspecial_discount[".googleLikeFields"][] = "discount_type";
$tdataspecial_discount[".googleLikeFields"][] = "start_date";
$tdataspecial_discount[".googleLikeFields"][] = "end_date";
$tdataspecial_discount[".googleLikeFields"][] = "outlet_code";



$tdataspecial_discount[".tableType"] = "list";

$tdataspecial_discount[".printerPageOrientation"] = 0;
$tdataspecial_discount[".nPrinterPageScale"] = 100;

$tdataspecial_discount[".nPrinterSplitRecords"] = 40;

$tdataspecial_discount[".geocodingEnabled"] = false;










$tdataspecial_discount[".pageSize"] = 20;

$tdataspecial_discount[".warnLeavingPages"] = true;



$tstrOrderBy = "";
if(strlen($tstrOrderBy) && strtolower(substr($tstrOrderBy,0,8))!="order by")
	$tstrOrderBy = "order by ".$tstrOrderBy;
$tdataspecial_discount[".strOrderBy"] = $tstrOrderBy;

$tdataspecial_discount[".orderindexes"] = array();


$tdataspecial_discount[".sqlHead"] = "SELECT id,  	bar_code,  	discount,  	discount_type,  	start_date,  	end_date,  	outlet_code";
$tdataspecial_discount[".sqlFrom"] = "FROM special_discount";
$tdataspecial_discount[".sqlWhereExpr"] = "";
$tdataspecial_discount[".sqlTail"] = "";










//fill array of records per page for list and report without group fields
$arrRPP = array();
$arrRPP[] = 10;
$arrRPP[] = 20;
$arrRPP[] = 30;
$arrRPP[] = 50;
$arrRPP[] = 100;
$arrRPP[] = 500;
$arrRPP[] = -1;
$tdataspecial_discount[".arrRecsPerPage"] = $arrRPP;

//fill array of groups per page for report with group fields
$arrGPP = array();
$arrGPP[] = 1;
$arrGPP[] = 3;
$arrGPP[] = 5;
$arrGPP[] = 10;
$arrGPP[] = 50;
$arrGPP[] = 100;
$arrGPP[] = -1;
$tdataspecial_discount[".arrGroupsPerPage"] = $arrGPP;

$tdataspecial_discount[".highlightSearchResults"] = true;

$tableKeysspecial_discount = array();
$tableKeysspecial_discount[] = "id";
$tdataspecial_discount[".Keys"] = $tableKeysspecial_discount;


$tdataspecial_discount[".hideMobileList"] = array();




//	id
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 1;
	$fdata["strName"] = "id";
	$fdata["GoodName"] = "id";
	$fdata["ownerTable"] = "special_discount";
	$fdata["Label"] = GetFieldLabel("special_discount","id");
	$fdata["FieldType"] = 3;

	
		$fdata["AutoInc"] = true;

	
			

		$fdata["strField"] = "id";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "id";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataspecial_discount["id"] = $fdata;
		$tdataspecial_discount[".searchableFields"][] = "id";
//	bar_code
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 2;
	$fdata["strName"] = "bar_code";
	$fdata["GoodName"] = "bar_code";
	$fdata["ownerTable"] = "special_discount";
	$fdata["Label"] = GetFieldLabel("special_discount","bar_code");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "bar_code";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "bar_code";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=50";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataspecial_discount["bar_code"] = $fdata;
		$tdataspecial_discount[".searchableFields"][] = "bar_code";
//	discount
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 3;
	$fdata["strName"] = "discount";
	$fdata["GoodName"] = "discount";
	$fdata["ownerTable"] = "special_discount";
	$fdata["Label"] = GetFieldLabel("special_discount","discount");
	$fdata["FieldType"] = 14;

	
	
	
			

		$fdata["strField"] = "discount";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "discount";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Number");

	
	
	
	
	
	
		$vdata["DecimalDigits"] = 2;

	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
							
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataspecial_discount["discount"] = $fdata;
		$tdataspecial_discount[".searchableFields"][] = "discount";
//	discount_type
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 4;
	$fdata["strName"] = "discount_type";
	$fdata["GoodName"] = "discount_type";
	$fdata["ownerTable"] = "special_discount";
	$fdata["Label"] = GetFieldLabel("special_discount","discount_type");
	$fdata["FieldType"] = 3;

	
	
	
			

		$fdata["strField"] = "discount_type";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "discount_type";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
							
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataspecial_discount["discount_type"] = $fdata;
		$tdataspecial_discount[".searchableFields"][] = "discount_type";
//	start_date
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 5;
	$fdata["strName"] = "start_date";
	$fdata["GoodName"] = "start_date";
	$fdata["ownerTable"] = "special_discount";
	$fdata["Label"] = GetFieldLabel("special_discount","start_date");
	$fdata["FieldType"] = 7;

	
	
	
			

		$fdata["strField"] = "start_date";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "start_date";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Short Date");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Date");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
		$edata["DateEditType"] = 13;
	$edata["InitialYearFactor"] = 100;
	$edata["LastYearFactor"] = 10;

	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the default search options list
				$fdata["searchOptionsList"] = array("Equals", "More than", "Less than", "Between", EMPTY_SEARCH, NOT_EMPTY );
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataspecial_discount["start_date"] = $fdata;
		$tdataspecial_discount[".searchableFields"][] = "start_date";
//	end_date
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 6;
	$fdata["strName"] = "end_date";
	$fdata["GoodName"] = "end_date";
	$fdata["ownerTable"] = "special_discount";
	$fdata["Label"] = GetFieldLabel("special_discount","end_date");
	$fdata["FieldType"] = 7;

	
	
	
			

		$fdata["strField"] = "end_date";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "end_date";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Short Date");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Date");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
		$edata["DateEditType"] = 13;
	$edata["InitialYearFactor"] = 100;
	$edata["LastYearFactor"] = 10;

	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the default search options list
				$fdata["searchOptionsList"] = array("Equals", "More than", "Less than", "Between", EMPTY_SEARCH, NOT_EMPTY );
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataspecial_discount["end_date"] = $fdata;
		$tdataspecial_discount[".searchableFields"][] = "end_date";
//	outlet_code
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 7;
	$fdata["strName"] = "outlet_code";
	$fdata["GoodName"] = "outlet_code";
	$fdata["ownerTable"] = "special_discount";
	$fdata["Label"] = GetFieldLabel("special_discount","outlet_code");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "outlet_code";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "outlet_code";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=50";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataspecial_discount["outlet_code"] = $fdata;
		$tdataspecial_discount[".searchableFields"][] = "outlet_code";


$tables_data["special_discount"]=&$tdataspecial_discount;
$field_labels["special_discount"] = &$fieldLabelsspecial_discount;
$fieldToolTips["special_discount"] = &$fieldToolTipsspecial_discount;
$placeHolders["special_discount"] = &$placeHoldersspecial_discount;
$page_titles["special_discount"] = &$pageTitlesspecial_discount;

// -----------------start  prepare master-details data arrays ------------------------------//
// tables which are detail tables for current table (master)
$detailsTablesData["special_discount"] = array();

// tables which are master tables for current table (detail)
$masterTablesData["special_discount"] = array();



// -----------------end  prepare master-details data arrays ------------------------------//



require_once(getabspath("classes/sql.php"));











function createSqlQuery_special_discount()
{
$proto0=array();
$proto0["m_strHead"] = "SELECT";
$proto0["m_strFieldList"] = "id,  	bar_code,  	discount,  	discount_type,  	start_date,  	end_date,  	outlet_code";
$proto0["m_strFrom"] = "FROM special_discount";
$proto0["m_strWhere"] = "";
$proto0["m_strOrderBy"] = "";
	
		;
			$proto0["cipherer"] = null;
$proto2=array();
$proto2["m_sql"] = "";
$proto2["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto2["m_column"]=$obj;
$proto2["m_contained"] = array();
$proto2["m_strCase"] = "";
$proto2["m_havingmode"] = false;
$proto2["m_inBrackets"] = false;
$proto2["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto2);

$proto0["m_where"] = $obj;
$proto4=array();
$proto4["m_sql"] = "";
$proto4["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto4["m_column"]=$obj;
$proto4["m_contained"] = array();
$proto4["m_strCase"] = "";
$proto4["m_havingmode"] = false;
$proto4["m_inBrackets"] = false;
$proto4["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto4);

$proto0["m_having"] = $obj;
$proto0["m_fieldlist"] = array();
						$proto6=array();
			$obj = new SQLField(array(
	"m_strName" => "id",
	"m_strTable" => "special_discount",
	"m_srcTableName" => "special_discount"
));

$proto6["m_sql"] = "id";
$proto6["m_srcTableName"] = "special_discount";
$proto6["m_expr"]=$obj;
$proto6["m_alias"] = "";
$obj = new SQLFieldListItem($proto6);

$proto0["m_fieldlist"][]=$obj;
						$proto8=array();
			$obj = new SQLField(array(
	"m_strName" => "bar_code",
	"m_strTable" => "special_discount",
	"m_srcTableName" => "special_discount"
));

$proto8["m_sql"] = "bar_code";
$proto8["m_srcTableName"] = "special_discount";
$proto8["m_expr"]=$obj;
$proto8["m_alias"] = "";
$obj = new SQLFieldListItem($proto8);

$proto0["m_fieldlist"][]=$obj;
						$proto10=array();
			$obj = new SQLField(array(
	"m_strName" => "discount",
	"m_strTable" => "special_discount",
	"m_srcTableName" => "special_discount"
));

$proto10["m_sql"] = "discount";
$proto10["m_srcTableName"] = "special_discount";
$proto10["m_expr"]=$obj;
$proto10["m_alias"] = "";
$obj = new SQLFieldListItem($proto10);

$proto0["m_fieldlist"][]=$obj;
						$proto12=array();
			$obj = new SQLField(array(
	"m_strName" => "discount_type",
	"m_strTable" => "special_discount",
	"m_srcTableName" => "special_discount"
));

$proto12["m_sql"] = "discount_type";
$proto12["m_srcTableName"] = "special_discount";
$proto12["m_expr"]=$obj;
$proto12["m_alias"] = "";
$obj = new SQLFieldListItem($proto12);

$proto0["m_fieldlist"][]=$obj;
						$proto14=array();
			$obj = new SQLField(array(
	"m_strName" => "start_date",
	"m_strTable" => "special_discount",
	"m_srcTableName" => "special_discount"
));

$proto14["m_sql"] = "start_date";
$proto14["m_srcTableName"] = "special_discount";
$proto14["m_expr"]=$obj;
$proto14["m_alias"] = "";
$obj = new SQLFieldListItem($proto14);

$proto0["m_fieldlist"][]=$obj;
						$proto16=array();
			$obj = new SQLField(array(
	"m_strName" => "end_date",
	"m_strTable" => "special_discount",
	"m_srcTableName" => "special_discount"
));

$proto16["m_sql"] = "end_date";
$proto16["m_srcTableName"] = "special_discount";
$proto16["m_expr"]=$obj;
$proto16["m_alias"] = "";
$obj = new SQLFieldListItem($proto16);

$proto0["m_fieldlist"][]=$obj;
						$proto18=array();
			$obj = new SQLField(array(
	"m_strName" => "outlet_code",
	"m_strTable" => "special_discount",
	"m_srcTableName" => "special_discount"
));

$proto18["m_sql"] = "outlet_code";
$proto18["m_srcTableName"] = "special_discount";
$proto18["m_expr"]=$obj;
$proto18["m_alias"] = "";
$obj = new SQLFieldListItem($proto18);

$proto0["m_fieldlist"][]=$obj;
$proto0["m_fromlist"] = array();
												$proto20=array();
$proto20["m_link"] = "SQLL_MAIN";
			$proto21=array();
$proto21["m_strName"] = "special_discount";
$proto21["m_srcTableName"] = "special_discount";
$proto21["m_columns"] = array();
$proto21["m_columns"][] = "id";
$proto21["m_columns"][] = "bar_code";
$proto21["m_columns"][] = "discount";
$proto21["m_columns"][] = "discount_type";
$proto21["m_columns"][] = "start_date";
$proto21["m_columns"][] = "end_date";
$proto21["m_columns"][] = "outlet_code";
$obj = new SQLTable($proto21);

$proto20["m_table"] = $obj;
$proto20["m_sql"] = "special_discount";
$proto20["m_alias"] = "";
$proto20["m_srcTableName"] = "special_discount";
$proto22=array();
$proto22["m_sql"] = "";
$proto22["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto22["m_column"]=$obj;
$proto22["m_contained"] = array();
$proto22["m_strCase"] = "";
$proto22["m_havingmode"] = false;
$proto22["m_inBrackets"] = false;
$proto22["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto22);

$proto20["m_joinon"] = $obj;
$obj = new SQLFromListItem($proto20);

$proto0["m_fromlist"][]=$obj;
$proto0["m_groupby"] = array();
$proto0["m_orderby"] = array();
$proto0["m_srcTableName"]="special_discount";		
$obj = new SQLQuery($proto0);

	return $obj;
}
$queryData_special_discount = createSqlQuery_special_discount();


	
		;

							

$tdataspecial_discount[".sqlquery"] = $queryData_special_discount;



$tableEvents["special_discount"] = new eventsBase;
$tdataspecial_discount[".hasEvents"] = false;

?>